package refund

import (
	"cloud.o-forge.io/core/oc-lib/logs"
	"cloud.o-forge.io/core/oc-lib/models/utils"
	"cloud.o-forge.io/core/oc-lib/tools"
)

type refundMongoAccessor struct {
	utils.AbstractAccessor[*Refund]
}

func NewAccessor(request *tools.APIRequest) *refundMongoAccessor {
	return &refundMongoAccessor{
		AbstractAccessor: utils.AbstractAccessor[*Refund]{
			Logger:  logs.CreateLogger(tools.REFUND.String()),
			Request: request,
			Type:    tools.REFUND,
			New:     func() *Refund { return &Refund{} },
		},
	}
}
